Table of Contents

## Name

XVaCreateNestedList - allocate a nested variable argument list

## Syntax

typedef void * XVaNestedList;

XVaNestedList XVaCreateNestedList(int dummy, ...);

## Arguments

dummy
  Specifies an unused argument (required by ANSI C). ...
  - Specifies the variable length argument listAl.

  ## Description

  The XVaCreateNestedList function allocates memory and copies its arguments into a single list pointer, which may be used as a value for arguments requiring a list value. Any entries are copied as specified. Data passed by reference is not copied; the caller must ensure data remains valid for the lifetime of the nested list. The list should be freed using XFree when it is no longer needed.

  ## See Also

  Xlib - C Language X Interface

  Table of Contents

  - Name
  - Syntax
  - Arguments
  - Description
  - See Also